classification
Title: bdist_sunpkg distutils command
Type: enhancement Stage: resolved
Components: Distutils2 Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: tarek Nosy List: eric.araujo, jholg, loewis, tarek
Priority: normal Keywords: patch

Created on 2006-11-02 13:35 by jholg, last changed 2010-08-25 13:39 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
bdist_sunpkg.py jholg, 2006-11-02 13:35 bdist_sunpkg distutils command
file_util.py.patch jholg, 2006-11-02 13:38 file_util patch: write_file w/verbose+dry_run
Messages (6)
msg51317 - (view) Author: Holger Joukl (jholg) Date: 2006-11-02 13:35
Hi,
find attached a bdist_sunpkg distutils command class
that implements creating a sun solaris package.

This has been based on the python2.3 distutils but
should work with newer ones, too.

Note that a small patch to file_util is needed that
adds the verbose/dry_run capabilities to the write_file
function.

At the moment, fancy things like dependency scripts and
stuff are not supported.

Holger
msg51318 - (view) Author: Holger Joukl (jholg) Date: 2006-11-02 13:38
Logged In: YES 
user_id=1315684

(uploaded file_util patch)
msg51319 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2006-11-04 00:15
Logged In: YES 
user_id=21627

Are you willing to fill out the contribution form, at

http://www.python.org/psf/contrib/
msg51320 - (view) Author: Holger Joukl (jholg) Date: 2006-11-09 12:04
Logged In: YES 
user_id=1315684

I'm currently clarifying this with my employer
msg114467 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-21 00:02
I suppose we have to reject this request.

For distutils, it is too late, we don’t add new features.

In distutils2, we have removed bdist_rpm and rejected bdist_deb (#1054967), with the rationale that OS-specific formats are best made by tools that are customized by the OS, play well with policies and other tools, and have a shorter release cycle than Python. For the case of Solaris, I gather that there are at least five flavors of this OS (well, four if you count OpenSolaris dead), each one having various releases. I don’t know the span of the differences between versions and flavors, but I guess that it’s a situation similar to RPM. Adding to that the lack of contributor agreement, I think we won’t add this command to distutils2 either.

Tarek, please correct me if I’m wrong or reject the bug if I’m right.

Holger, sorry your work has to be rejected.
msg114897 - (view) Author: Holger Joukl (jholg) Date: 2010-08-25 12:09
> Holger, sorry your work has to be rejected.

No harm done - kind of paradoxical that my employer allowed me to release the code into the wild but hasn't been willing to let me sign the contribution form, in 4 years.

So it's at least out in the open and maybe useful to some (though rather outdated) - and could be moved into some solaris-py bdist_* project.
History
Date User Action Args
2010-08-25 13:39:40eric.araujosetstatus: open -> closed
resolution: rejected
stage: resolved
2010-08-25 12:09:53jholgsetmessages: + msg114897
2010-08-21 00:02:17eric.araujosetversions: - Python 3.2
nosy: + eric.araujo

messages: + msg114467

assignee: tarek
components: + Distutils2, - Distutils
2010-08-09 03:17:40terry.reedysetversions: + Python 3.2, - Python 3.1, Python 2.7
2009-02-09 16:00:36akitadasetnosy: + tarek
type: enhancement
versions: + Python 3.1, Python 2.7, - Python 2.3
2006-11-02 13:35:29jholgcreate